import * as _typescript_eslint_utils_ts_eslint from '@typescript-eslint/utils/ts-eslint';
import { RulePreset } from '@eslint-react/kit';

type MessageID$1 = "useNamespaceImport" | "missingDevelopmentOnlyCheck";

type MessageID = "missingKey" | "unexpectedFragmentSyntax";

declare const _default: {
    configs: {
        recommended: {
            plugins: {
                "react-x": {
                    readonly meta: {
                        readonly name: string;
                        readonly version: string;
                    };
                    readonly rules: {
                        readonly "jsx-key-before-spread": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxKeyBeforeSpread", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-comment-textnodes": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoCommentTextnodes", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-duplicate-props": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoDuplicateProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-undef": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoUndef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-shorthand-boolean": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxShorthandBoolean", readonly [number | undefined], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-shorthand-fragment": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxShorthandFragment", readonly [number | undefined], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-uses-react": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxUsesReact", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-uses-vars": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxUsesVars", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-access-state-in-setstate": _typescript_eslint_utils_ts_eslint.RuleModule<"noAccessStateInSetstate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-array-index-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noArrayIndexKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-count": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenCount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-for-each": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenForEach", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-map": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenMap", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-only": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenOnly", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-prop": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenProp", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-to-array": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenToArray", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-class-component": _typescript_eslint_utils_ts_eslint.RuleModule<"noClassComponent", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-clone-element": _typescript_eslint_utils_ts_eslint.RuleModule<"noCloneElement", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillReceiveProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-context-provider": _typescript_eslint_utils_ts_eslint.RuleModule<"noContextProvider", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-create-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noCreateRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noDefaultProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-mutation-state": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectMutationState", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-set-state-in-use-effect": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectSetStateInUseEffect", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-set-state-in-use-layout-effect": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectSetStateInUseLayoutEffect", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-duplicate-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noDuplicateKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-forward-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noForwardRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-implicit-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noImplicitKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-leaked-conditional-rendering": _typescript_eslint_utils_ts_eslint.RuleModule<"noLeakedConditionalRendering", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-component-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"noMissingComponentDisplayName", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-context-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"noMissingContextDisplayName", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-key": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID, [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-misused-capture-owner-stack": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID$1, [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-nested-component-definitions": _typescript_eslint_utils_ts_eslint.RuleModule<"noNestedComponentDefinitions", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-nested-lazy-component-declarations": _typescript_eslint_utils_ts_eslint.RuleModule<"noNestedComponentDefinitions", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-prop-types": _typescript_eslint_utils_ts_eslint.RuleModule<"noPropTypes", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-redundant-should-component-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noRedundantShouldComponentUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-did-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentDidMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-did-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentDidUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-string-refs": _typescript_eslint_utils_ts_eslint.RuleModule<"noStringRefs", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-callback": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUseCallback", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-memo": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUseMemo", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-prefix": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUsePrefix", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillReceiveProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unstable-context-value": _typescript_eslint_utils_ts_eslint.RuleModule<"unstableContextValue", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unstable-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnstableDefaultProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unused-class-component-members": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnusedClassComponentMembers", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unused-state": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnusedState", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-use-context": _typescript_eslint_utils_ts_eslint.RuleModule<"noUseContext", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-useless-forward-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noUselessForwardRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-destructuring-assignment": _typescript_eslint_utils_ts_eslint.RuleModule<"preferDestructuringAssignment", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-namespace-import": _typescript_eslint_utils_ts_eslint.RuleModule<"preferNamespaceImport", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-read-only-props": _typescript_eslint_utils_ts_eslint.RuleModule<"preferReadOnlyProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-use-state-lazy-initialization": _typescript_eslint_utils_ts_eslint.RuleModule<"preferUseStateLazyInitialization", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                    };
                };
            };
            name: string;
            rules: RulePreset;
        };
        "recommended-legacy": {
            plugins: string[];
            rules: RulePreset;
        };
        "recommended-type-checked": {
            plugins: {
                "react-x": {
                    readonly meta: {
                        readonly name: string;
                        readonly version: string;
                    };
                    readonly rules: {
                        readonly "jsx-key-before-spread": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxKeyBeforeSpread", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-comment-textnodes": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoCommentTextnodes", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-duplicate-props": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoDuplicateProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-undef": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoUndef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-shorthand-boolean": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxShorthandBoolean", readonly [number | undefined], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-shorthand-fragment": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxShorthandFragment", readonly [number | undefined], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-uses-react": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxUsesReact", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-uses-vars": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxUsesVars", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-access-state-in-setstate": _typescript_eslint_utils_ts_eslint.RuleModule<"noAccessStateInSetstate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-array-index-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noArrayIndexKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-count": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenCount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-for-each": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenForEach", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-map": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenMap", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-only": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenOnly", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-prop": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenProp", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-to-array": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenToArray", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-class-component": _typescript_eslint_utils_ts_eslint.RuleModule<"noClassComponent", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-clone-element": _typescript_eslint_utils_ts_eslint.RuleModule<"noCloneElement", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillReceiveProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-context-provider": _typescript_eslint_utils_ts_eslint.RuleModule<"noContextProvider", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-create-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noCreateRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noDefaultProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-mutation-state": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectMutationState", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-set-state-in-use-effect": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectSetStateInUseEffect", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-set-state-in-use-layout-effect": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectSetStateInUseLayoutEffect", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-duplicate-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noDuplicateKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-forward-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noForwardRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-implicit-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noImplicitKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-leaked-conditional-rendering": _typescript_eslint_utils_ts_eslint.RuleModule<"noLeakedConditionalRendering", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-component-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"noMissingComponentDisplayName", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-context-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"noMissingContextDisplayName", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-key": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID, [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-misused-capture-owner-stack": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID$1, [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-nested-component-definitions": _typescript_eslint_utils_ts_eslint.RuleModule<"noNestedComponentDefinitions", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-nested-lazy-component-declarations": _typescript_eslint_utils_ts_eslint.RuleModule<"noNestedComponentDefinitions", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-prop-types": _typescript_eslint_utils_ts_eslint.RuleModule<"noPropTypes", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-redundant-should-component-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noRedundantShouldComponentUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-did-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentDidMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-did-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentDidUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-string-refs": _typescript_eslint_utils_ts_eslint.RuleModule<"noStringRefs", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-callback": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUseCallback", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-memo": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUseMemo", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-prefix": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUsePrefix", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillReceiveProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unstable-context-value": _typescript_eslint_utils_ts_eslint.RuleModule<"unstableContextValue", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unstable-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnstableDefaultProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unused-class-component-members": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnusedClassComponentMembers", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unused-state": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnusedState", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-use-context": _typescript_eslint_utils_ts_eslint.RuleModule<"noUseContext", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-useless-forward-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noUselessForwardRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-destructuring-assignment": _typescript_eslint_utils_ts_eslint.RuleModule<"preferDestructuringAssignment", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-namespace-import": _typescript_eslint_utils_ts_eslint.RuleModule<"preferNamespaceImport", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-read-only-props": _typescript_eslint_utils_ts_eslint.RuleModule<"preferReadOnlyProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-use-state-lazy-initialization": _typescript_eslint_utils_ts_eslint.RuleModule<"preferUseStateLazyInitialization", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                    };
                };
            };
            name: string;
            rules: RulePreset;
        };
        "recommended-type-checked-legacy": {
            plugins: string[];
            rules: RulePreset;
        };
        "recommended-typescript": {
            plugins: {
                "react-x": {
                    readonly meta: {
                        readonly name: string;
                        readonly version: string;
                    };
                    readonly rules: {
                        readonly "jsx-key-before-spread": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxKeyBeforeSpread", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-comment-textnodes": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoCommentTextnodes", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-duplicate-props": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoDuplicateProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-no-undef": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoUndef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-shorthand-boolean": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxShorthandBoolean", readonly [number | undefined], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-shorthand-fragment": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxShorthandFragment", readonly [number | undefined], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-uses-react": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxUsesReact", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "jsx-uses-vars": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxUsesVars", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-access-state-in-setstate": _typescript_eslint_utils_ts_eslint.RuleModule<"noAccessStateInSetstate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-array-index-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noArrayIndexKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-count": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenCount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-for-each": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenForEach", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-map": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenMap", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-only": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenOnly", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-prop": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenProp", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-children-to-array": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenToArray", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-class-component": _typescript_eslint_utils_ts_eslint.RuleModule<"noClassComponent", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-clone-element": _typescript_eslint_utils_ts_eslint.RuleModule<"noCloneElement", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillReceiveProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-context-provider": _typescript_eslint_utils_ts_eslint.RuleModule<"noContextProvider", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-create-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noCreateRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noDefaultProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-mutation-state": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectMutationState", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-set-state-in-use-effect": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectSetStateInUseEffect", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-direct-set-state-in-use-layout-effect": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectSetStateInUseLayoutEffect", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-duplicate-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noDuplicateKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-forward-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noForwardRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-implicit-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noImplicitKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-leaked-conditional-rendering": _typescript_eslint_utils_ts_eslint.RuleModule<"noLeakedConditionalRendering", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-component-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"noMissingComponentDisplayName", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-context-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"noMissingContextDisplayName", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-missing-key": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID, [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-misused-capture-owner-stack": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID$1, [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-nested-component-definitions": _typescript_eslint_utils_ts_eslint.RuleModule<"noNestedComponentDefinitions", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-nested-lazy-component-declarations": _typescript_eslint_utils_ts_eslint.RuleModule<"noNestedComponentDefinitions", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-prop-types": _typescript_eslint_utils_ts_eslint.RuleModule<"noPropTypes", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-redundant-should-component-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noRedundantShouldComponentUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-did-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentDidMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-did-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentDidUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-set-state-in-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-string-refs": _typescript_eslint_utils_ts_eslint.RuleModule<"noStringRefs", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-callback": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUseCallback", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-memo": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUseMemo", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unnecessary-use-prefix": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUsePrefix", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillReceiveProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unsafe-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unstable-context-value": _typescript_eslint_utils_ts_eslint.RuleModule<"unstableContextValue", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unstable-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnstableDefaultProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unused-class-component-members": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnusedClassComponentMembers", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-unused-state": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnusedState", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-use-context": _typescript_eslint_utils_ts_eslint.RuleModule<"noUseContext", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "no-useless-forward-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noUselessForwardRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-destructuring-assignment": _typescript_eslint_utils_ts_eslint.RuleModule<"preferDestructuringAssignment", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-namespace-import": _typescript_eslint_utils_ts_eslint.RuleModule<"preferNamespaceImport", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-read-only-props": _typescript_eslint_utils_ts_eslint.RuleModule<"preferReadOnlyProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                        readonly "prefer-use-state-lazy-initialization": _typescript_eslint_utils_ts_eslint.RuleModule<"preferUseStateLazyInitialization", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
                    };
                };
            };
            name: string;
            rules: RulePreset;
        };
        "recommended-typescript-legacy": {
            plugins: string[];
            rules: RulePreset;
        };
    };
    meta: {
        readonly name: string;
        readonly version: string;
    };
    rules: {
        readonly "jsx-key-before-spread": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxKeyBeforeSpread", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "jsx-no-comment-textnodes": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoCommentTextnodes", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "jsx-no-duplicate-props": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoDuplicateProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "jsx-no-undef": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxNoUndef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "jsx-shorthand-boolean": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxShorthandBoolean", readonly [number | undefined], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "jsx-shorthand-fragment": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxShorthandFragment", readonly [number | undefined], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "jsx-uses-react": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxUsesReact", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "jsx-uses-vars": _typescript_eslint_utils_ts_eslint.RuleModule<"jsxUsesVars", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-access-state-in-setstate": _typescript_eslint_utils_ts_eslint.RuleModule<"noAccessStateInSetstate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-array-index-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noArrayIndexKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-children-count": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenCount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-children-for-each": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenForEach", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-children-map": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenMap", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-children-only": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenOnly", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-children-prop": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenProp", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-children-to-array": _typescript_eslint_utils_ts_eslint.RuleModule<"noChildrenToArray", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-class-component": _typescript_eslint_utils_ts_eslint.RuleModule<"noClassComponent", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-clone-element": _typescript_eslint_utils_ts_eslint.RuleModule<"noCloneElement", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillReceiveProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-context-provider": _typescript_eslint_utils_ts_eslint.RuleModule<"noContextProvider", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-create-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noCreateRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noDefaultProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-direct-mutation-state": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectMutationState", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-direct-set-state-in-use-effect": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectSetStateInUseEffect", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-direct-set-state-in-use-layout-effect": _typescript_eslint_utils_ts_eslint.RuleModule<"noDirectSetStateInUseLayoutEffect", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-duplicate-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noDuplicateKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-forward-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noForwardRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-implicit-key": _typescript_eslint_utils_ts_eslint.RuleModule<"noImplicitKey", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-leaked-conditional-rendering": _typescript_eslint_utils_ts_eslint.RuleModule<"noLeakedConditionalRendering", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-missing-component-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"noMissingComponentDisplayName", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-missing-context-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"noMissingContextDisplayName", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-missing-key": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID, [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-misused-capture-owner-stack": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID$1, [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-nested-component-definitions": _typescript_eslint_utils_ts_eslint.RuleModule<"noNestedComponentDefinitions", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-nested-lazy-component-declarations": _typescript_eslint_utils_ts_eslint.RuleModule<"noNestedComponentDefinitions", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-prop-types": _typescript_eslint_utils_ts_eslint.RuleModule<"noPropTypes", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-redundant-should-component-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noRedundantShouldComponentUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-set-state-in-component-did-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentDidMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-set-state-in-component-did-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentDidUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-set-state-in-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noSetStateInComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-string-refs": _typescript_eslint_utils_ts_eslint.RuleModule<"noStringRefs", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unnecessary-use-callback": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUseCallback", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unnecessary-use-memo": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUseMemo", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unnecessary-use-prefix": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnnecessaryUsePrefix", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unsafe-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillMount", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unsafe-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillReceiveProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unsafe-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnsafeComponentWillUpdate", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unstable-context-value": _typescript_eslint_utils_ts_eslint.RuleModule<"unstableContextValue", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unstable-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnstableDefaultProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unused-class-component-members": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnusedClassComponentMembers", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-unused-state": _typescript_eslint_utils_ts_eslint.RuleModule<"noUnusedState", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-use-context": _typescript_eslint_utils_ts_eslint.RuleModule<"noUseContext", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "no-useless-forward-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"noUselessForwardRef", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "prefer-destructuring-assignment": _typescript_eslint_utils_ts_eslint.RuleModule<"preferDestructuringAssignment", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "prefer-namespace-import": _typescript_eslint_utils_ts_eslint.RuleModule<"preferNamespaceImport", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "prefer-read-only-props": _typescript_eslint_utils_ts_eslint.RuleModule<"preferReadOnlyProps", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
        readonly "prefer-use-state-lazy-initialization": _typescript_eslint_utils_ts_eslint.RuleModule<"preferUseStateLazyInitialization", [], unknown, _typescript_eslint_utils_ts_eslint.RuleListener>;
    };
};

export { _default as default };
